Redmine - Feature #13842

Support mobile phone users better
2013-04-22 20:52 - Marc Mengel

Status: Closed

Priority: Normal

Assignee:

Category: Themes

Target version:

Resolution: Duplicate

Start date:

Due date:

% Done: 0%
Estimated time: 0.00 hour

Description

It turns out a very few changes to the style sheets seem to make

redmine look much better from phones; You can specify a media incantation for an added stylesheet, and go to a single column
layout and have it look much better. One can test the layout in Chrome just by making your window narrow enough.

The attached are patches to 1.4.1, but | don't think these bits are much different in the latest.

Related issues:

Is duplicate of Redmine - Feature #19097: Responsive layout for mobile devices Closed

History

#1 - 2013-04-23 08:58 - Daniel Felix

Thanks for supporting a patch. I'm working on an improved mobile layout too. | will take a look at yours. Maybe these bits can find their way. :-)

#2 - 2014-01-12 11:13 - Jean-Philippe Lang
- File Img_5790.png added
- File Img_5791.png added

Here is what | get on my iphone with the path applied:
I'm not sure that it improves the overall readability.

#3 - 2014-06-02 13:55 - Andriy Lesyuk
FYI, I implemented the mobile support in my Red-Andy theme.

#4 - 2014-06-29 13:02 - Toshi MARUYAMA
- Related to Feature #883: Add suport for mobile devices (CSS) added

#5 - 2015-02-26 15:52 - Jan from Planio www.plan.io

- Related to Feature #19097: Responsive layout for mobile devices added

#6 - 2015-11-09 18:04 - Toshi MARUYAMA
- Related to deleted (Feature #883: Add suport for mobile devices (CSS))

#7 - 2015-11-09 18:09 - Toshi MARUYAMA
- Tracker changed from Patch to Feature
- Status changed from New to Closed

- Resolution set to Duplicate

Try #19097.

#8 - 2015-11-09 18:10 - Toshi MARUYAMA

- Related to deleted (Feature #19097: Responsive layout for mobile devices)

#9 - 2015-11-09 18:10 - Toshi MARUYAMA

- Is duplicate of Feature #19097: Responsive layout for mobile devices added

Files

mobile.css 1.26 KB 2013-04-22 Marc Mengel

mobile.patch 658 Bytes 2013-04-22 Marc Mengel

Img_5791.png 29.4 KB 2014-01-12 Jean-Philippe Lang

Img_5790.png 26.2 KB 2014-01-12 Jean-Philippe Lang
http://blog.andriylesyuk.com/red-andy-1-00-the-first-responsive-theme-for-redmine
https://www.redmine.org/issues/19097
http://www.tcpdf.org

